Subject: Re: bug#34196: 27.0.50; tramp hangs on wrong password with global-auto-revert-mode

From: Aaron Jensen <[email-masked]>
Date: Tue, 5 Feb 2019 11:27:06 -0800

On Tue, Feb 5, 2019 at 11:22 AM Michael Albinus <[email-masked]> wrote:
>
> No, I haven't tried. But auto-revert-notify-add-watch is called after
> auto-revert-active-p, so it's not sufficient to test it such late.

Not sufficient for what, exactly? Testing it only in
auto-revert-notify-add-watch prevents the hang for me. The only thing
it wouldn't prevent is auto-revert-handler getting called, but that
doesn't seem to have any negative impact as far as I could tell, but I
could be missing an edge case.

Aaron